"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const BaseModel_1 = require("../BaseModel");
const BaseItem_1 = require("./BaseItem");
class MasterKey extends BaseItem_1.default {
    static tableName() {
        return 'master_keys';
    }
    static modelType() {
        return BaseModel_1.default.TYPE_MASTER_KEY;
    }
    static encryptionSupported() {
        return false;
    }
    static latest() {
        return this.modelSelectOne('SELECT * FROM master_keys WHERE created_time >= (SELECT max(created_time) FROM master_keys)');
    }
    static allWithoutEncryptionMethod(masterKeys, method) {
        return masterKeys.filter(m => m.encryption_method !== method);
    }
    static save(o, options = null) {
        const _super = Object.create(null, {
            save: { get: () => super.save }
        });
        return __awaiter(this, void 0, void 0, function* () {
            return _super.save.call(this, o, options).then(item => {
                this.dispatch({
                    type: 'MASTERKEY_UPDATE_ONE',
                    item: item,
                });
                return item;
            });
        });
    }
}
exports.default = MasterKey;
//# sourceMappingURL=MasterKey.js.map