"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _util = require("./util");

var _logger = _interopRequireDefault(require("./logger"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class BrowserLogger extends _logger.default {
  write(level, message) {
    let out = ['warn', 'error'].includes(level) ? level : 'log';
    let colors = [];
    message = message.replace(_util.ANSI_REG, (_, ansi) => {
      colors.push(`color:${_util.ANSI_COLORS[ansi] || 'inherit'}`);
      return '%c';
    });
    console[out](message, ...colors);
  }

  progress() {
    console.error('The log.progress() method is not supported in browsers');
  }

}

exports.default = BrowserLogger;