"use strict";

var _path = _interopRequireDefault(require("path"));

var _utils = require("../utils");

var _base = _interopRequireDefault(require("./base"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class SeleniumJavaScriptMigration extends _base.default {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "transforms", [{
      message: 'The SDK package name has changed, update imports?',
      default: '{test,spec}?(s)/**/*.{js,ts}',

      async transform(paths) {
        await (0, _utils.run)(require.resolve('jscodeshift/bin/jscodeshift'), [`--transform=${_path.default.resolve(__dirname, '../../transforms/import-default.js')}`, this.installed && `--percy-installed=${this.installed.name}`, paths.some(p => p.endsWith('.ts')) && '--parser=ts', `--percy-sdk=${this.name}`, ...paths]);
      }

    }]);
  }

  async upgrade() {
    if (this.installed && this.aliases.includes(this.installed.name)) {
      await _utils.npm.uninstall(this.installed.name);
    }

    await _utils.npm.install(`${this.name}@${this.version}`);
  }

}

_defineProperty(SeleniumJavaScriptMigration, "name", '@percy/selenium-webdriver');

_defineProperty(SeleniumJavaScriptMigration, "aliases", ['@percy/seleniumjs']);

_defineProperty(SeleniumJavaScriptMigration, "version", '^1.0.0');

module.exports = SeleniumJavaScriptMigration;