"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.inspect = inspect;
exports.default = stringify;

var _util = _interopRequireDefault(require("util"));

var _yaml = _interopRequireDefault(require("yaml"));

var _defaults = _interopRequireDefault(require("./defaults"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Provides native util.inspect with common options for printing configs.
function inspect(config) {
  return _util.default.inspect(config, {
    depth: null,
    compact: false
  });
} // Converts a config to a yaml, json, or js string. When no config is provided,
// falls back to schema defaults.


function stringify(format, config = (0, _defaults.default)()) {
  switch (format) {
    case 'yml':
    case 'yaml':
      return _yaml.default.stringify(config);

    case 'json':
      return JSON.stringify(config, null, 2) + '\n';

    case 'js':
      return `module.exports = ${inspect(config)}\n`;

    default:
      throw new Error(`Unsupported format: ${format}`);
  }
}