"use strict";

var _path = _interopRequireDefault(require("path"));

var _semver = _interopRequireDefault(require("semver"));

var _utils = require("../utils");

var _base = _interopRequireDefault(require("./base"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class CypressMigration extends _base.default {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "transforms", [{
      message: 'Percy tasks were removed, update Cypress plugins file?',
      default: 'cypress/plugins/index.js',
      when: i => _semver.default.satisfies(i.version, '2 - 3'),

      async transform(paths) {
        await (0, _utils.run)(require.resolve('jscodeshift/bin/jscodeshift'), [`--transform=${_path.default.resolve(__dirname, '../../transforms/cypress-plugins.js')}`, ...paths]);
      }

    }]);
  }

  async upgrade() {
    await _utils.npm.install(`${this.name}@${this.version}`);
  }

}

_defineProperty(CypressMigration, "name", '@percy/cypress');

_defineProperty(CypressMigration, "version", '^3.0.0');

;
module.exports = CypressMigration;