"use strict";

var _path = _interopRequireDefault(require("path"));

var _utils = require("../utils");

var _base = _interopRequireDefault(require("./base"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class ProtractorMigration extends _base.default {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "transforms", [{
      message: 'SDK exports have changed, update imports?',
      default: '{test,spec}?(s)/**/*.{js,ts}',

      async transform(paths) {
        await (0, _utils.run)(require.resolve('jscodeshift/bin/jscodeshift'), [`--transform=${_path.default.resolve(__dirname, '../../transforms/import-default.js')}`, this.installed && `--percy-installed=${this.installed.name}`, paths.some(p => p.endsWith('.ts')) && '--parser=ts', `--percy-sdk=${this.name}`, ...paths]);
      }

    }]);
  }

  async upgrade() {
    await _utils.npm.install(`${this.name}@${this.version}`);
  }

}

_defineProperty(ProtractorMigration, "name", '@percy/protractor');

_defineProperty(ProtractorMigration, "version", '^2.0.0');

module.exports = ProtractorMigration;